.section {
  padding: 120px var(--page-gutter);
  position: relative;
  width: 100%;
  z-index: 1;
}

.page-archive {
  background-color: var(--primary-gray-ultralight);
  overflow: hidden;
}

.page-archive::after {
  content: '';
  background: url(../images/post/bg_bubble.png) no-repeat;
  background-size: contain;
  position: absolute;
  top: 216px;
  right: 0;
  width: 485px;
  height: 565px;
  z-index: 0;
  overflow: hidden;
  aspect-ratio: 485 / 565;

  @media (max-width: 600px) {
    width: 265px;
    height: auto;
  }
}

.archive-header {
  .archive-subtitle {
    font-family: var(--font-en);
    font-weight: 400;
    font-size: 20px;
    letter-spacing: 0.02em;
    margin-bottom: 16px;
  }

  .archive-title {
    font-weight: 400;
    font-size: 40px;
    letter-spacing: 0.16em;
    margin-bottom: 16px;

    @media (max-width: 540px) {
      font-size: 31px;
      letter-spacing: 0.08em;
    }
  }

  .archive-intro {
    line-height: 1.8;
    letter-spacing: 0.08em;
  }
}

.post-list-wrapper {
  display: flex;
  justify-content: center;
  padding: 100px 0;

  @media (max-width: 540px) {
    padding: 60px 0;
  }

  .post-list {
    display: flex;
    flex-direction: column;
    gap: 20px;
    max-width: 791px;
    width: 100%;

    .post-item {
      display: block;
      padding: 30px;
      background-color: var(--primary-white);
      border-radius: 6px;
      box-shadow: 0px 1px 2px 0px #00000014;

      @media (max-width: 540px) {
        padding: 16px;
      }

      .post-item__link {
        display: flex;
        align-items: center;
        gap: 30px;

        @media (max-width: 600px) {
          flex-direction: column;
          gap: 24px;
        }
      }

      .thumb-wrapper {
        width: 240px;
        height: 160px;
        flex-shrink: 0;
        overflow: hidden;
        border-radius: 6px;

        @media (max-width: 600px) {
          width: 100%;
          height: auto;
          /* height: 80px; */
        }

        .thumb {
          width: 100%;
          height: 100%;
          aspect-ratio: 240 / 160;
          object-fit: cover;
          object-position: center;
        }
      }

      .post-item__content {
        flex-grow: 1;
      }

      .post-item__date {
        display: block;
        font-size: 13px;
        letter-spacing: 0.08em;
        margin-bottom: 12px;

        .icon-new {
          display: inline-block;
          background-color: #5f498b;
          border-radius: 2px;
          color: var(--primary-white);
          font-family: font/jp-serif;
          font-size: 12px;
          line-height: 2;
          letter-spacing: 0.08em;
          padding: 0 8px;
          height: 24px;
          margin-right: 12px;
        }
      }

      .post-item__title {
        font-size: 18px;
        line-height: 1.4;
        letter-spacing: 0.08em;
      }
    }
  }

  .btn-viewmore-wrapper {
    @media (max-width: 767px) {
      display: none;
    }
  }
}

.pagination {
  .page-numbers {
    display: flex;
    justify-content: center;
    gap: 20px;

    a.page-numbers,
    span.page-numbers {
      display: flex;
      justify-content: center;
      align-items: center;
      width: 40px;
      height: 40px;
      border: 1px solid var(--primary-gray);
      color: var(--primary-gray);
      letter-spacing: 0.08em;
      border-radius: 50%;
    }

    a.page-numbers.current,
    span.page-numbers.current {
      background: linear-gradient(267.69deg, #58a85e 0%, #46864b 100%);
      color: var(--primary-white);
    }
  }
}
